APXS2 ./configure not working

Discussion in 'Installation/Configuration' started by tristanlee85, Aug 13, 2006.

  1. tristanlee85

    tristanlee85 New Member

    I found a "apache2-devel" RPM that installed apxs2 in /usr/sbin/apaxs2. For proof, here is the output:

    Code:
    [root@server native]# /usr/sbin/apxs2
    Usage: apxs -g [-S <var>=<val>] -n <modname>
           apxs -q [-S <var>=<val>] <query> ...
           apxs -c [-S <var>=<val>] [-o <dsofile>] [-D <name>[=<value>]]
                   [-I <incdir>] [-L <libdir>] [-l <libname>] [-Wc,<flags>]
                   [-Wl,<flags>] [-p] <files> ...
           apxs -i [-S <var>=<val>] [-a] [-A] [-n <modname>] <dsofile> ...
           apxs -e [-S <var>=<val>] [-a] [-A] [-n <modname>] <dsofile> ...
    Now, I run the following:

    Code:
     ./configure --with-apxs=/usr/sbin/apxs2
    and at the end I get this:

    Code:
    need to check for Perl first, apxs depends on it...
    checking for perl... /usr/bin/perl
    could not find /usr/sbin/apxs2
    configure: error: You must specify a valid --with-apxs path
    I obviously just supplied it with the correct path. Why isn't it working?
     
  2. Ben

    Ben HowtoForge Supporter

    Maybe try without apxs2 in the end, so just type in the path to apxs2
     
  3. falko

    falko Super Moderator

    Are you on Fedora? Make sure SELinux is disabled.
     

Share This Page